﻿/* barlow-regular - latin-ext_latin */
/*@font-face {
  font-family: 'Barlow';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/barlow-v12-latin-ext_latin-regular.eot'); /* IE9 Compat Modes */
  /*src: local(''),
       url('../fonts/barlow-v12-latin-ext_latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       /*url('../fonts/barlow-v12-latin-ext_latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       /*url('../fonts/barlow-v12-latin-ext_latin-regular.woff') format('woff'), /* Modern Browsers */
       /*url('../fonts/barlow-v12-latin-ext_latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       /*url('../fonts/barlow-v12-latin-ext_latin-regular.svg#Barlow') format('svg'); /* Legacy iOS */
/*}

/* barlow-700 - latin-ext_latin */
@font-face {
  font-family: 'Barlow';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/barlow-v12-latin-ext_latin-700.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('../fonts/barlow-v12-latin-ext_latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../fonts/barlow-v12-latin-ext_latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('../fonts/barlow-v12-latin-ext_latin-700.woff') format('woff'), /* Modern Browsers */
       url('../fonts/barlow-v12-latin-ext_latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../fonts/barlow-v12-latin-ext_latin-700.svg#Barlow') format('svg'); /* Legacy iOS */
}



/*orientation*/
@media screen and (orientation: landscape) {
	.portrait {display: none;}
}

@media screen and (orientation: portrait) {
	.landscape {display: none;}
}

html,body {
  height: 100%;
  margin: 0;
  position: relative;
}

header {
  min-height: 93%;
  position: relative;
  overflow: hidden;
  height: 93%;
}


/*schrift*/
h1 {font-size:2.2em!important;}
h2 {font-size:1.8em;}
h3 {font-size:1.4em}
h4 {font-size:1.2em}

h1, h2, h3, h4 {font-family: 'Barlow', sans-serif;}

*, html, body, p, td, em, a.text{
  font-size: calc(15px + (21 - 15) * ((100vw - 320px) / (1600 - 320)));
  font-family: 'Barlow', sans-serif;
} 

figcaption {
  font-size: 12px;
  padding-top: 4px;}

/*links*/
a:link {text-decoration: none!important;} 
a:visited {text-decoration: none!important;} 
a:hover {text-decoration: none!important;} 
a:focus {text-decoration: none!important;}
a:active {text-decoration: none!important;} 

/*topnav*/
.topnav, .subnav{
  overflow: hidden;
  position: sticky;
  top: -1px;
  width: 100%;
  height: 7%;
  z-index:2;
}

.topnav a, .subnav a {
  float: left;
  display: block;
  text-align: center;
  padding: 8px 20px;
  text-decoration: none;
  font-size: 1.1em;
  user-select: none;
}

@media screen and (min-width: 801px) {
.topnav a {font-size: 1.1em;}
}

@media screen and (max-width: 800px) {
.topnav a {font-size: 1.1em;}
}
  
.topnav .navicon {
  display: none;
  padding: 4px 12px;
  cursor: pointer;
}

.topnav .navicon:after {
	content: url(../assets/menu.png);
}

.topnav.responsive .navicon:after {
	content:"✖";
}

.topnav.responsive a {
	font-size: 1.4em;
}

@media screen and (max-width: 1200px) {
  .topnav a:not(:first-child) {display: none; }
  .topnav a.navicon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 1200px) {
  .topnav.responsive {position: sticky; height:auto; padding-bottom: 1em; top: -1px;}
  .topnav.responsive .navicon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}


@media screen and (min-width: 801px) {
.home {cursor:pointer; height:.9em; margin-bottom:6px;} 
}

@media screen and (max-width: 800px) {
.home {height: 1.6em;}
}

.close {
  position: fixed;
  top: 0;
  right: 0;
  padding: 8px 16px;
  cursor: pointer;
  z-index: 2;
  user-select: none;
  font-size: 24px;
}

.close:after {
  content: '✖';
}

.language.landscape{
	position: absolute;
	top: -6px;
	right: 8px;
	margin: 12px;
	user-select: none;
	transition: 0.2s;
}

.language.portrait {
  margin: .5em .1em 2em 0;
  user-select: none;
  font-size: 1.4em;
}

@media screen and (max-width: 1199px) {
	.language.landscape {display: none;}
	.language.portrait {display: block;}
}

@media screen and (min-width: 1200px) {
	.language.landscape {display: block;}
	.language.portrait {display: none;}
}

/*seiten-teile*/

html {
  scrollbar-color: #ff0000 #990000;
  scrollbar-width: thin;
  background-color: var(--red_dark);
}

::-webkit-scrollbar {
  width: 7px;
}

::-webkit-scrollbar-track {
  background: #990000; 
}
 
::-webkit-scrollbar-thumb {
  background: #ff0000; 
}

::-webkit-scrollbar-thumb:hover {
  background: #ff0000; 
}

.content {
  padding-bottom: 2em;
  padding-top: 3em;
  max-width: 1000px;
  margin: 0 auto; 
}

.subcontent {
  max-width:900px;
  margin: 0 auto;
  margin-top: -1em;
  padding-bottom: 3em;
  min-height: 90vh;
}

@media screen and (orientation: portrait){
.content, .subcontent{
  margin-left: 0;
  margin-right: 0;
  width: 100%;}
}

main hr {
  padding-bottom: 8px;
  margin: 80px 0;
}

footer hr {
  padding-top: 0px;
  padding-bottom: 0px;
}

footer p, footer a {font-size: 0.9em}

.flex-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
}

.flex-container > div {
  width: 17vw;
  margin: 10px;
  text-align: center;
}

@media screen and (max-width: 900px){
.flex-container > div {
  width: 33vw;
}
}

@media screen and (max-width: 450px){
.flex-container > div {
  width: 75vw;
}
}

#corona {
	background-color: var(--red);
}

#corona p {
	font-style: italic;
	color: var(--black)!important;
	text-align: center;
}

#corona a.text {
	color: var(--black);
	border-bottom: 2px dotted var(--black);
}

#corona a.text:hover {
	color: #fff;
	border-bottom: none;
}

.teilnehmer td {padding-left:0!important;}
.w3-bordered tr {
    border-bottom: 2px solid var(--red_dark);
}

.schedule td, .teilnehmer td {
	color: var(--white);
	line-height: 1.4;
}

.schedule td:first-child {width:52%;}

@media screen and (orientation: portrait){
	.schedule td {width:50vw;}
}

.fotorama__stage__frame{background:transparent;}
.fotorama--fullscreen .fotorama__stage{
  background-image: linear-gradient(rgba(51, 0, 0, 0.7) 75%, rgba(51, 0, 0, 0.7) 5%), url("../battleofbaden/bilder/webrot.jpg");
  background-attachment: fixed;
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
}

.fotorama__arr:hover,
.fotorama__fullscreen-icon:hover {filter: brightness(500%);}


/*buttons*/
.r-button {
  width: 100%;
  text-align: center;
  padding: 12px;
  -webkit-transition: .2s;
  -moz-transition: .2s;
  transition: .1 linear;
  cursor: pointer;
  font-size: 1.2em;
  font-weight: bold;
  user-select: none;
}

.btn_show_en, .btn_show_de {
	text-align:right; 
	cursor: pointer;
}

.btn_show:after, .btn_video:after {content:' ▾';}
.btn_hide:after, .btn_video_hide:after {content:' ▴';}

.zug_button {
	content: url(../assets/zug_red.png);
	width: 3.2em;
	height: 3.2em;
	margin-top: 1em; 
	border: 1px solid red;
	}

@media screen and (orientation: landscape) and (hover: hover) {	
.zug_button:hover {
	content: url(../assets/zug_red_rev.png);
	}
}
	
.skate_button {
	content: url(../assets/skate_red.png);
	width: 3.2em;
	height: 3.2em;
	margin-top: 1em; 
	border: 1px solid red;
	}

@media screen and (orientation: landscape) and (hover: hover) {	
.skate_button:hover {
	content: url(../assets/skate_red_rev.png);
	}
}	

@media screen and (orientation: landscape) and (hover: hover) {	
a img:hover {
	/*mix-blend-mode: multiply;*/
  filter: opacity(.7) grayscale(0%) brightness(100%);
  transition: 0.2s linear;
}	
}

.bg_red {background-color: red;}

/*iframes*/
.iframe-container-16-9 {
  position: relative;
  width: 100%;
  overflow: hidden;
  padding-top: 56.25%; 
}

.responsive-iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
  border: none;
}

#front {
  position:absolute;
  width:100%;
  height:100%;
  left:0;
  top:0;
  cursor: grab;
}

/* DSGVO - Datenschutz-Hinweis */
div#dsgvo_hinweis  {
 position: Fixed;
 bottom: 0px;
 left: 0px;
 width: 100%;
 height: 0px;
 z-index: 1000;
 text-align: center;
 cursor: default;
 transition: .5s;
}

div#dsgvo_hinweis.show {height: 33%;}

div#dsgvo_hinweis p{
 padding: 16px;
}

div#dsgvo_hinweis .r-button{
 margin-right: 10px;
 width: auto;
 font-size: 1em;
 font-weight: bold;
}

/*formulare*/
#haftung, #exclusion, .formular {
	padding: 1em;
	padding-bottom: 16px;
	border: 1px solid red;
	/*background-color: var(--red_dark);*/
	background-color: rgba(51, 0, 0, 0.95);
	opacity: 0.8;
}
 
input {
  width: 100%;
  transition: .2s;
}
    
textarea {
  width: 100%;
  padding: 4px;
  resize: none;
  height: 45vh;
  transition: .2s;
}
 
#c3 { 
  width: auto;}

#kopie { 
  width: auto;}

#contact {
  display:none;}

input[type="radio"] {
 -moz-appearance: None;
 -webkit-appearance: none;
 appearance: none;
 width: 1em;
 height: 1em;
 transition: .2s;
 border: none;
 cursor: pointer;
}

input[type="checkbox"] {
 -moz-appearance: none;
 -webkit-appearance: none;
 appearance: none;
 width: 1em;
 height: 1em;
 border: none;
 outline: none;
 transition: .2s;
 cursor: pointer;
}	

input.r-button {padding: 8px 16px; width: auto!important; border: 1px solid red!important;margin-top: 12px!important;}

span.fehler{
	font-family: Georgia, serif!important;
  font-style: italic;
  color:#fff;
}


/*cookie consent
#klaro{display: none;}
